com.sun.jna.platform.mac

## Class CoreFoundation.CFStringRef.ByReference

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.ptr.ByReference
    - - com.sun.jna.ptr.PointerByReference
      - - com.sun.jna.platform.mac.CoreFoundation.CFStringRef.ByReference

- All Implemented Interfaces:
    NativeMapped
  Enclosing class:
    CoreFoundation.CFStringRef

      public static class CoreFoundation.CFStringRef.ByReference
      extends PointerByReference

  Placeholder for a reference to a `CFString` object.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByReference()`
    `ByReference(CoreFoundation.CFStringRef value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CoreFoundation.CFStringRef` | `getStringRefValue()`
    `void` | `setValue(Pointer value)`

    - ### Methods inherited from class com.sun.jna.ptr.PointerByReference

      `getValue`

    - ### Methods inherited from class com.sun.jna.ptr.ByReference

      `toString`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ByReference

          public ByReference()

    - #### ByReference

          public ByReference(CoreFoundation.CFStringRef value)

  - ### Method Detail

    - #### setValue

          public void setValue(Pointer value)

      Overrides:
        `setValue` in class `PointerByReference`

    - #### getStringRefValue

          public CoreFoundation.CFStringRef getStringRefValue()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.